package com.isidroid.job_sender.domain.model

import androidx.room.Entity
import androidx.room.PrimaryKey
import com.isidroid.job.constant.SendJobStatus
import java.util.Date
import java.util.UUID

@Entity
data class PrintJobSender(
    @PrimaryKey val id: String = UUID.randomUUID().toString(),
    val printJobId: String = "",
    @SendJobStatus val status: Int,
    val sourceFile: String = "",
    val accessToken: String = "",
    val createdAt: Date = Date(),
    val updatedAt: Date = Date(),
)